> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Openai Audio Transcriptions

> Openai Audio Transcriptions



## OpenAPI

````yaml /openapi/openai.json post /v1/audio/transcriptions
openapi: 3.0.0
info:
  title: OpenAI generation
  version: 1.0.0
  description: API reference for OpenAI generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /v1/audio/transcriptions:
    post:
      summary: Openai Audio Transcriptions
      description: Openai Audio Transcriptions
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Openai Audio Transcriptions File
                model:
                  type: string
                  enum:
                    - whisper-1
                  default: whisper-1
                  description: Openai Audio Transcriptions Model
                language:
                  type: string
                  description: Openai Audio Transcriptions Language
                prompt:
                  type: string
                  description: Openai Audio Transcriptions Prompt
                response_format:
                  type: string
                  enum:
                    - json
                    - text
                    - srt
                    - verbose_json
                    - vtt
                  default: json
                  description: Openai Audio Transcriptions Response Format
                temperature:
                  type: number
                  default: 0
                  description: Openai Audio Transcriptions Temperature
                timestamp_granularities[]:
                  type: array
                  items:
                    type: string
                    enum:
                      - word
                      - segment
                  description: Openai Audio Transcriptions Timestamp Granularities
      responses:
        '200':
          description: Openai Audio Transcriptions Response 200
          content:
            application/json:
              schema:
                type: object
                example:
                  text: >-
                    Ace Data Cloud Platform is testing the speech recognition
                    endpoint. The quick brown fox jumps over the lazy dog.
                properties:
                  text:
                    type: string
                    description: Openai Audio Transcriptions Response 200 Text
            text/plain:
              schema:
                type: string
                description: Openai Audio Transcriptions Response 200 Plain
        '400':
          description: Response 400
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: bad_request
                    message: Please provide an audio `file` to transcribe.
                  trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
        '401':
          description: Response 401
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: authentication_failed
                    message: The token is invalid.
                  trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
        '403':
          description: Response 403
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: used_up
                    message: Your balance is not enough.
                  trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
        '413':
          description: Openai Audio Transcriptions Response 413
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: request_too_large
                    message: File too large
                  trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
        '429':
          description: Response 429
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: too_many_requests
                    message: Transcription upstream is busy, please try again later.
                  trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
        '500':
          description: Response 500
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: api_error
                    message: Failed to transcribe the audio, please try again later.
                  trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````